OpenJPEG 2.1.2

Data Fields
opj_raw Struct Reference
RAW - Implementation of operations for raw encoding

RAW encoding operations. More...

`#include <raw.h>`

## Data Fields
OPJ_BYTE | c
| temporary buffer where bits are coded or decoded More...
OPJ_UINT32 | ct
| number of bits already read or free to write More...
OPJ_UINT32 | lenmax
| maximum length to decode More...
OPJ_UINT32 | len
| length decoded More...
OPJ_BYTE * | bp
| pointer to the current position in the buffer More...
OPJ_BYTE * | start
| pointer to the start of the buffer More...
OPJ_BYTE * | end
| pointer to the end of the buffer More...

## Detailed Description

RAW encoding operations.

## Field Documentation

## § bp

OPJ_BYTE* opj_raw::bp

pointer to the current position in the buffer

Referenced by opj_raw_numbytes().

## § c

OPJ_BYTE opj_raw::c

temporary buffer where bits are coded or decoded

Referenced by opj_raw_decode(), and opj_raw_init_dec().

## § ct

OPJ_UINT32 opj_raw::ct

number of bits already read or free to write

Referenced by opj_raw_decode(), and opj_raw_init_dec().

## § end

OPJ_BYTE* opj_raw::end

pointer to the end of the buffer

## § len

OPJ_UINT32 opj_raw::len

length decoded

Referenced by opj_raw_decode(), and opj_raw_init_dec().

## § lenmax

OPJ_UINT32 opj_raw::lenmax

maximum length to decode

Referenced by opj_raw_decode(), and opj_raw_init_dec().

## § start

OPJ_BYTE* opj_raw::start

pointer to the start of the buffer

Referenced by opj_raw_decode(), opj_raw_init_dec(), and opj_raw_numbytes().

The documentation for this struct was generated from the following file:

- raw.h